For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Updates import

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/imports/:import_id
POST
/api.php/dbs/:db_id/imports/:import_id
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1.1/imports/1.1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "bigcommerce",
> "join_type": "product_feed",
> "file_location": "preprocess_script",
> "tags": {
> "platform": "Bigcommerce"
> },
> "preprocess_info": {
> "connection_info": {
> "client": "bigcommerce",
> "protocol": "api",
> "access_token": "token",
> "client_id": "id",
> "store_hash": "hash",
> "store_url": "https:\\/\\/feedonomicssandbox.mybigcommerce.com",
> "additional_options": "product_reviews,product_metafields,google_fields,complex_rules,category_tree,category_metafields,variant_metafields",
> "additional_image_sizes": true
> },
> "file_info": {
> "request_type": "get"
> },
> "actions": {}
> },
> "url": "https:\\/\\/haproxy-preprocess.feedonomics.com\\/preprocess\\/run_preprocess.php?connection_info%5Bclient%5D=bigcommerce&amp;connection_info%5Bprotocol%5D=api&amp;connection_info%5Baccess_token%5D=5zvihq3fvya80cf42vnk5a6i66uogai&amp;connection_info%5Bclient_id%5D=ca0eb7o90jh4s9jdsfs4hj55xn6j6yu&amp;connection_info%5Bstore_hash%5D=3vc7ancyqo&amp;connection_info%5Bstore_url%5D=https%3A%2F%2Ffeedonomicssandbox.mybigcommerce.com&amp;connection_info%5Badditional_options%5D=product_reviews%2Cproduct_metafields%2Cgoogle_fields%2Ccomplex_rules%2Ccategory_tree%2Ccategory_metafields%2Cvariant_metafields&amp;connection_info%5Badditional_image_sizes%5D=true&amp;file_info%5Brequest_type%5D=get&amp;"
>}'
1{
2 "id": "138",
3 "db_id": "136",
4 "name": "bigcommerce",
5 "cron": null,
6 "next_run_time": null,
7 "status": "0",
8 "file_location": "preprocess_script",
9 "file_type": "delimited",
10 "line_terminator": null,
11 "join_type": "product_feed",
12 "running": "0",
13 "cxn_id": "10726",
14 "name_based_maps": "1",
15 "xml_force_parse": "0",
16 "force_encoding": "0",
17 "timestamp": "2021-11-15 16:45:47",
18 "ignore_lines": "1",
19 "load_threshold": "1",
20 "update_threshold": "1",
21 "max_attempts": "1",
22 "time_between_attempts": "1",
23 "limits": "",
24 "backup_cxn_id": null,
25 "backup_failures": "0",
26 "last_download_time": "2021-09-27 18:31:51",
27 "last_backup_time": "0000-00-00 00:00:00",
28 "needs_backup": "1",
29 "xmlreader": "0",
30 "clean_file_headers": "0",
31 "download_activity_timeout": "0",
32 "timeout": "1800",
33 "last_download_status": "fail",
34 "last_download_size": "0",
35 "ftp_allow_minio_direct": "0",
36 "created_at": "2021-09-27 18:31:50"
37}
Was this page helpful?
Previous

Get Import by ID

Next

Delete Import

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_iddoubleRequired
import_iddoubleRequired

Headers

x-api-keystringRequired

Request

Updates import
namestringRequired
join_typestringRequired
file_locationstringRequired
tagsobjectRequired
preprocess_infoobjectOptional
urlstringOptional

Response

Imported Updated

Errors

400
Bad Request Error